# mepdf Class Reference
[Core BDM classes]

Unconditional mpdf, allows using epdf in the role of mpdf. More...

`#include <libBM.h>`

Inheritance diagram for mepdf:

[legend]
Collaboration diagram for mepdf:

[legend]

List of all members.

## Public Member Functions
| mepdf (const epdf *em)
| Default constructor.
void | condition (const vec &cond)
| Update `ep` so that it represents this mpdf conditioned on `rvc` = cond.
virtual vec | samplecond (const vec &cond, double &ll)
| Returns a sample from the density conditioned on `cond`, .
virtual mat | samplecond_m (const vec &cond, vec &ll, int N)
| Returns.
virtual double | evallogcond (const vec &dt, const vec &cond)
| Shortcut for conditioning and evaluation of the internal epdf. In some cases, this operation can be implemented efficiently.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Matrix version of evallogcond.
RV | _rvc () const
| access function
RV | _rv () const
| access function
epdf & | _epdf ()
| access function
epdf * | _e ()
| access function
## Protected Attributes
RV | rv
| modeled random variable
RV | rvc
| random variable in condition
epdf * | ep
| pointer to internal epdf

## Detailed Description

Unconditional mpdf, allows using epdf in the role of mpdf.

## Member Function Documentation

virtual vec mpdf::samplecond | ( | const vec & | cond,
|  | double & | ll |
| ) |  |  | `[inline, virtual, inherited]`

Returns a sample from the density conditioned on `cond`, .

Parameters:

  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

Reimplemented in mprod.

References mpdf::condition(), mpdf::ep, epdf::evallog(), and epdf::sample().

Referenced by MPF< BM_T >::bayes(), and PF::bayes().

virtual mat mpdf::samplecond_m | ( | const vec & | cond,
|  | vec & | ll,
|  | int | N |
| ) |  |  | `[inline, virtual, inherited]`

Returns.

Parameters:

  | N | samples from the density conditioned on `cond`, .
  | cond | is numeric value of `rv`
  | ll | is a return value of log-likelihood of the sample.

References mpdf::condition(), RV::count(), mpdf::ep, epdf::evallog(), mpdf::rv, and epdf::sample().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/stat/libBM.h